All Classes Namespaces Functions Variables Groups Pages
SqlUtil::AbstractFunction Class Referenceabstract

base class for functions More...

Inheritance diagram for SqlUtil::AbstractFunction:
[legend]

## Public Member Functions

| constructor (string n, string n_type, string n_src)
| creates the object from the arguments passed More...
abstract list | getCreateSql (*hash opt)
| returns a list of SQL strings that can be used to create the function in the database
abstract softlist | getRenameSql (string new_name, *hash opt)
| returns a list of strings that can be used to rename the function in the database More...
| setName (string new_name)
| sets the new name of the object
Public Member Functions inherited from SqlUtil::AbstractFunctionBase
| constructor (string n, string n_type, string n_src)
| creates the object from the arguments passed More...
bool | equal (AbstractFunctionBase t)
| returns True if the argument is equal to the current object, False if not
string | getDropSql (*hash opt)
| returns a string that can be used to drop the function from the database More...
string | getType ()
| returns the type of object

## Additional Inherited Members

Public Attributes inherited from SqlUtil::AbstractFunctionBase
string | name
| the name of the object
string | src
| the source of the object
string | type
| the type of object

## Detailed Description

base class for functions

## Member Function Documentation

SqlUtil::AbstractFunction::constructor | ( | string | n,
|  | string | n_type,
|  | string | n_src
| ) |  |

creates the object from the arguments passed

Parameters

  n | the name of the object
  n_type | the type of object
  n_src | the source of the object

abstract softlist SqlUtil::AbstractFunction::getRenameSql | ( | string | new_name,
|  | *hash | opt
| ) |  |

pure virtual

returns a list of strings that can be used to rename the function in the database

Parameters

  new_name | the new name of the object
  opt | drop options (if supported by the driver and object)